import { createRouter, createWebHistory, RouteRecordRaw } from 'vue-router';
import RedirectComponent from '@/components/RedirectComponent.vue';
import TheProposeEventView from '@/views/ProposeEvent.vue';

const routes: Array<RouteRecordRaw> = [
  {
    path: '/',
    name: 'Home',
    component: RedirectComponent,
    props: { target: 'https://hopefamilyfellowship.com' },
  },
  {
    path: '/propose-event',
    name: 'ProposeEvent',
    component: TheProposeEventView,
  },
];

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes,
});

export default router;
